Skip to main content
POST
/
api
/
v1
/
webhooks
Register webhook
curl --request POST \
  --url https://www.itsconvo.com/api/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://hooks.example.com/convo",
  "events": [
    "conversation.created"
  ]
}
'
{
  "data": {
    "id": "<string>",
    "url": "<string>",
    "events": [
      "conversation.created"
    ],
    "secret": "whsec_a1b2c3d4e5f6...",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key as Bearer token. Generate keys in your Convo dashboard settings.

Body

application/json
url
string<uri>
required

HTTPS endpoint URL

Example:

"https://hooks.example.com/convo"

events
enum<string>[]
required
Minimum array length: 1
Available options:
conversation.created,
conversation.updated,
conversation.keypoints.ready,
conversation.summary.ready,
conversation.action_items.ready,
conversation.feedback.ready,
conversation.shared,
conversation.deleted,
transcript.ready,
transcript.failed,
webhook.test

Response

Webhook created

data
object